The Googlher
------------

This browser add-on visually notifies you when Google is 
monitoring & recording your web browsing. It also plays an annoying DTMF tone
which is silent when you have The Googlher device plugged in.
The Googlher device translates these tones into pleasurable vibrations.

It is based largely on Google Alarms by Jamie Wilkinson

Learn more at:
http://fffff.at/diyds/googlher/ 


Code
----

http://fffff.at/diyds/googlher/ 

Available under an MIT License

Make Your Own
-------------

This addon is a compiled Greasemonkey script that inspects a document
for simple signatures left by Google tracking bugs. It then injects
some HTML, CSS, and javascript into the page, using &lt;audio&gt; for sounds

To get started modifying it, fire up a terminal:

1. Download the source from http://fffff.at/diyds/googlher/ 
2. cd The-Googlher
3. *edit content/the-googlher.js*
4. rake build
5. rake install

`rake` is "ruby make" -- if you don't have it installed, try:

(from Google Alarms)
Jamie Wilkinson says:

Get started modifying **content/google-alarm.js** -- all of the other
files are basically Greasemonkey support files

For easy, no-recompiling development I recommend installing Greasemonkey, 
loading the above JS as a userscript and modifying it using GM's
inline editor. When done, copy back into content/, recompile, and publish! 

Images and sound are stored as base64-encoded "DataURIs"
To encode new images or sound fx I recommend using [DataURI Kitchen](http://software.hixie.ch/utilities/cgi/data/data)

Notes:

* sound fx are highly-compressed OGG files -- I had trouble
  with the large DataURIs generated using WAVs. YMMV
* The "Chrome version" is really just the google-alarm.js file
  renamed to google-alarm.user.js, and the GM_get/setValue
   


Authors
-----

Randy Sarafan

Copyfree 2011 FAT Lab (Free Art & Technology)
